%define major		5
%define libname		%mklibname zip %{major}
%define develname	%mklibname zip -d

Summary:	A C library for reading, creating, and modifying zip archives
Name:		libzip
Version:	1.10.1
Release:	%mkrel 1
Group:		System/Libraries
License:	BSD
URL:		https://libzip.org/
Source0:	https://libzip.org/download/%{name}-%{version}.tar.xz

BuildRequires:	cmake
BuildRequires:	groff-for-man
BuildRequires:	libtool
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	pkgconfig(liblzma)
BuildRequires:	pkgconfig(libzstd)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(zlib)

%description
libzip is a C library for reading, creating, and modifying zip archives. Files
can be added from data buffers, files, or compressed data copied directly from
other zip archives. Changes made without closing the archive can be reverted.
The API is documented by man pages.

%package -n	%{libname}
Summary:	A C library for reading, creating, and modifying zip archives
Group:		System/Libraries

%description -n	%{libname}
libzip is a C library for reading, creating, and modifying zip archives. Files
can be added from data buffers, files, or compressed data copied directly from
other zip archives. Changes made without closing the archive can be reverted.
The API is documented by man pages.

%package -n	%{develname}
Summary:	Shared library and header files for the %{name} library
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	zip-devel = %{version}-%{release}

%description -n	%{develname}
libzip is a C library for reading, creating, and modifying zip archives. Files
can be added from data buffers, files, or compressed data copied directly from
other zip archives. Changes made without closing the archive can be reverted.
The API is documented by man pages.

%prep
%setup -q
%autopatch -p1


# fix test return state
sed -i -e 's:19/2:19/0:' regress/open_nonarchive.test

%build
%cmake -DENABLE_LZMA:BOOL=ON -DENABLE_ZSTD:BOOL=ON
%cmake_build

%install
rm -rf %buildroot
%cmake_install

%files
%{_bindir}/zipcmp
%{_bindir}/zipmerge
%{_bindir}/ziptool
%{_mandir}/man1/zipcmp.1*
%{_mandir}/man1/zipmerge.1*
%{_mandir}/man1/ziptool.1*

%files -n %{libname}
%{_libdir}/%{name}.so.%{major}*

%files -n %{develname}
%{_includedir}/zip.h
%{_includedir}/zipconf.h
%{_libdir}/cmake/%{name}/
%{_libdir}/%{name}.so
%{_mandir}/man3/*.3.*
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Thu Aug 24 2023 tex - 1.10.1-1pclos2023
- new version

* Mon Aug 21 2023 tex - 1.10.0-1pclos2023
- new version

* Sun Oct 09 2022 tex - 1.9.2-1pclos2022
- new version
